VirtualBox

Ticket #14437 (closed defect: fixed)

Opened 2 years ago

Last modified 22 months ago

VirtualBox can't find host-only adapters on Windows 10 host => Fixed in SVN

Reported by: gregor Owned by:
Priority: minor Component: network/hostif
Version: VirtualBox 5.0.2 Keywords: win10
Cc: Guest type: all
Host type: Windows

Description

After the creation of host-only adapters with VirtualBox 5.0.2-102096 on a Windows 10.0.10240 host (which was fixed with #14040), all newly created interfaces disappear when reopening the network preferences dialog. It also impossible to assign host-only adapters to existing VMs. The adapters do appear in Windows Device manager though.

I get the same results when using the command lines tools. The creation of new interfaces works without problems:

C:\> VBoxManage.exe hostonlyif create
0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
Interface 'VirtualBox Host-Only Ethernet Adapter #5' was successfully created

But VirtualBox can't find the adapters, as the following command does not return any output:

$ VBoxManage.exe list hostonlyifs

Attachments

VBox.log Download (103.3 KB) - added by gregor 2 years ago.
VirtualBox log file of one of my VMs.
vbox-host-only-ndis6.png Download (16.7 KB) - added by gregor 2 years ago.
Screenshot of Hosthonly network adapter with NDIS6 driver
vbox-host-only-ndis6.2.png Download (16.7 KB) - added by gregor 2 years ago.
Screenshot of Hosthonly network adapter with NDIS6 driver
VBoxSVC_Gregor_2015-08-17.log Download (1.8 KB) - added by gregor 2 years ago.
VBoxSVC.log after executing "VBoxManage list bridgedifs"
win10_64-vbox5-hostonlyifs.png Download (149.9 KB) - added by gregor 2 years ago.
Screenshot: Running Win10 and VBox within a VM
VBoxSVC.log Download (6.2 KB) - added by gregor 2 years ago.
VBoxSVC.log generated with VBox 5.0.3-102229
VBoxSVC.2.log Download (2.2 KB) - added by whyNot 2 years ago.
VBoxSVC.log For Ticket #14437
VBoxSVC.3.log Download (4.6 KB) - added by whyNot 2 years ago.
VBoxSVC.log For Ticket #14437 - VB updated to r102229
VBoxSVC.4.log Download (9.1 KB) - added by michaln 2 years ago.
Working W500 system
VBoxSVC-Host-Restarted_Gregor_2015-08-20.log Download (6.0 KB) - added by gregor 2 years ago.
VBoxSVC.log after restarting host
VBoxSVC-Service-Restarted_Gregor-2015-08-20.log Download (5.4 KB) - added by gregor 2 years ago.
VBoxSVC.log after restarting VBoxSVC service
VBoxSVC-andyp1973.log Download (8.9 KB) - added by andyp1973 2 years ago.
Log file with r102229
VBoxSVC.5.log Download (5.6 KB) - added by dallonf 2 years ago.
Yet another log file
Documento.zip Download (1.4 KB) - added by giusi 2 years ago.
svc.log 5.0.3 r102229
VBoxSVC.6.log Download (13.2 KB) - added by crramirez 2 years ago.
VBoxManage list hostonlyifs
VBoxSVC.7.log Download (13.6 KB) - added by crramirez 2 years ago.
VBoxManage list hostonlyifs
VBoxSVC-VBox-5.0.51-102260_Gregor_2015-08-21.log Download (8.0 KB) - added by gregor 2 years ago.
VBoxSVC.log created with VirtualBox 5.0.51-102260
VBoxSVC-VBox-5.0.51-102260-VBoxSVC-restarted_Gregor_2015-08-21.log Download (8.2 KB) - added by gregor 2 years ago.
VBoxSVC.log created with VirtualBox 5.0.51-102260 after restarting the VBoxSVC service
Desktop.zip Download (26.2 KB) - added by giusi 2 years ago.
no bridge network and no drag n'drop
VBoxSVC-dallonf-r102260.log Download (7.0 KB) - added by dallonf 2 years ago.
log from r102260
VBoxSVC-dallonf-r102260-restarted.log Download (8.1 KB) - added by dallonf 2 years ago.
VBoxSVC.8.log Download (18.3 KB) - added by crramirez 2 years ago.
VBoxSVC-VBox-5.0.51-cramirez VBoxManage list hostonlyifs
VBoxSVC.9.log Download (8.5 KB) - added by whyNot 2 years ago.
Log created by VirtualBox-5.0.51-102260-Win
VBoxSVC_r102260_analytik_2015-08-23.log Download (11.8 KB) - added by analytik 2 years ago.
r102260 Win10 x64 no-UAC
VBoxSVC-VBox-5.0.51-102346_Gregor_2015-08-25.log Download (8.0 KB) - added by gregor 2 years ago.
VBoxSVC.log created with VirtualBox 5.0.51-102346
VBoxSVC-VBox-5.0.51-102346-VBoxSVC-restarted_Gregor_2015-08-25.log Download (7.2 KB) - added by gregor 2 years ago.
VBoxSVC.log created with VirtualBox 5.0.51-102346 after restarting the VBoxSVC service
VBoxSVC-dallonf-r102346.log Download (8.1 KB) - added by dallonf 2 years ago.
VBoxSVC.log for r102346
VBoxSVC.zip Download (2.5 KB) - added by giusi 2 years ago.
latest test build vboxsvclog
VBoxSVC.2.zip Download (3.0 KB) - added by giusi 2 years ago.
latest vboxsvc.log
VBoxSVC.10.log Download (18.3 KB) - added by crramirez 2 years ago.
VirtualBox-5.0.51-102346
VBoxSVC.log.1 Download (23.5 KB) - added by mjordan79 2 years ago.
VBoxSVC.11.log Download (8.5 KB) - added by whyNot 2 years ago.
5.0.51 r102346 win.amd64
service_list_win10_vbox.txt Download (63.0 KB) - added by kpoman 2 years ago.
service list after trying to add vbox net svc
bindview-andyp1973.txt Download (24.8 KB) - added by andyp1973 2 years ago.
Output of BindView utility
bindview-build-logs-andyp1973.zip Download (8.0 KB) - added by andyp1973 2 years ago.
Build logs from BindView for reference
VBoxSVC-5.0.51-102372-andyp1973.log Download (34.0 KB) - added by andyp1973 2 years ago.
Log from tests with 5.0.51-102372
VBoxSVC-VBox-5.0.51-102372_Gregor_2015-08-27.log Download (9.0 KB) - added by gregor 2 years ago.
VBoxSVC.3.zip Download (2.2 KB) - added by giusi 2 years ago.
r102372
VM fails to start.jpg Download (104.6 KB) - added by giusi 2 years ago.
VM fails to start
VBox.zip Download (9.2 KB) - added by giusi 2 years ago.
VBox.log

Change History

Changed 2 years ago by gregor

VirtualBox log file of one of my VMs.

comment:1 follow-up: ↓ 2 Changed 2 years ago by frank

How went the installation of VBox 5.0.2, did you see any error? The log file clearly shows that the VBoxNetAdp6.sys driver is not installed. Did you uncheck any items during the installation?

comment:2 in reply to: ↑ 1 Changed 2 years ago by gregor

The installation of VirtualBox 5.0.2 was performed without any problems, and I did not uncheck anything in the setup program. It is installed on a fresh copy of Windows 10 Pro 64-bit (i.e. no upgrade installation from a previous version of Windows).

Please let me know if I can provide any further details. Is it possible to install the VBoxNetAdp6.sys driver manually?

comment:3 Changed 2 years ago by michaln

Just to be sure, please provide the output of 'sc query vboxnetadp' and 'ipconfig /all' on the host system.

comment:4 Changed 2 years ago by gregor

The service control command produces the following output:

C:\> sc query vboxnetadp

SERVICE_NAME: vboxnetadp
        TYPE               : 1  KERNEL_DRIVER
        STATE              : 4  RUNNING
                                (STOPPABLE, NOT_PAUSABLE, IGNORES_SHUTDOWN)
        WIN32_EXIT_CODE    : 0  (0x0)
        SERVICE_EXIT_CODE  : 0  (0x0)
        CHECKPOINT         : 0x0
        WAIT_HINT          : 0x0

And ipconfig shows the following two VBox-related network interfaces that are also displayed in Device Manager:

[...]
Ethernet adapter VirtualBox Host-Only Network:

   Connection-specific DNS Suffix  . :
   Description . . . . . . . . . . . : VirtualBox Host-Only Ethernet Adapter
   Physical Address. . . . . . . . . : 0A-00-27-00-00-00
   DHCP Enabled. . . . . . . . . . . : No
   Autoconfiguration Enabled . . . . : Yes
   Link-local IPv6 Address . . . . . : fe80::bc3f:ce4e:fc59:acf4%12(Preferred)
   IPv4 Address. . . . . . . . . . . : 192.168.56.1(Preferred)
   Subnet Mask . . . . . . . . . . . : 255.255.255.0
   Default Gateway . . . . . . . . . :
   DHCPv6 IAID . . . . . . . . . . . : 34209831
   DHCPv6 Client DUID. . . . . . . . : 00-01-00-01-1D-5B-E6-50-F0-DE-F1-5B-10-66

   DNS Servers . . . . . . . . . . . : fec0:0:0:ffff::1%1
                                       fec0:0:0:ffff::2%1
                                       fec0:0:0:ffff::3%1
   NetBIOS over Tcpip. . . . . . . . : Enabled

[...]
Ethernet adapter VirtualBox Host-Only Network #2:

   Connection-specific DNS Suffix  . :
   Description . . . . . . . . . . . : VirtualBox Host-Only Ethernet Adapter #2
   Physical Address. . . . . . . . . : 0A-00-27-00-00-00
   DHCP Enabled. . . . . . . . . . . : No
   Autoconfiguration Enabled . . . . : Yes
   Link-local IPv6 Address . . . . . : fe80::d01a:7333:e0c1:f04a%15(Preferred)
   IPv4 Address. . . . . . . . . . . : 192.168.75.1(Preferred)
   Subnet Mask . . . . . . . . . . . : 255.255.255.0
   Default Gateway . . . . . . . . . :
   DHCPv6 IAID . . . . . . . . . . . : 403308583
   DHCPv6 Client DUID. . . . . . . . : 00-01-00-01-1D-5B-E6-50-F0-DE-F1-5B-10-66

   DNS Servers . . . . . . . . . . . : fec0:0:0:ffff::1%1
                                       fec0:0:0:ffff::2%1
                                       fec0:0:0:ffff::3%1
   NetBIOS over Tcpip. . . . . . . . : Enabled
[...]

I am also able to ping both interfaces:

C:\>ping 192.168.56.1

Pinging 192.168.56.1 with 32 bytes of data:
Reply from 192.168.56.1: bytes=32 time<1ms TTL=128
Reply from 192.168.56.1: bytes=32 time<1ms TTL=128
Reply from 192.168.56.1: bytes=32 time<1ms TTL=128
Reply from 192.168.56.1: bytes=32 time<1ms TTL=128

Ping statistics for 192.168.56.1:
    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),
Approximate round trip times in milli-seconds:
    Minimum = 0ms, Maximum = 0ms, Average = 0ms

C:\>ping 192.168.75.1

Pinging 192.168.75.1 with 32 bytes of data:
Reply from 192.168.75.1: bytes=32 time<1ms TTL=128
Reply from 192.168.75.1: bytes=32 time<1ms TTL=128
Reply from 192.168.75.1: bytes=32 time<1ms TTL=128
Reply from 192.168.75.1: bytes=32 time<1ms TTL=128

Ping statistics for 192.168.75.1:
    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),
Approximate round trip times in milli-seconds:
    Minimum = 0ms, Maximum = 0ms, Average = 0ms

Last edited 2 years ago by gregor (previous) (diff)

comment:5 Changed 2 years ago by michaln

Could you please verify that you have C:\Windows\system32\DRIVERS\VBoxNetAdp6.sys and that it's file version 5.0.2.2096? I'm guessing you must, but it's better to check.

Please also confirm that you never had VirtualBox 4.3 or earlier on the system and that you do not have C:\Windows\system32\DRIVERS\VBoxNetAdp.sys.

comment:6 Changed 2 years ago by gregor

I can confirm that C:\Windows\system32\DRIVERS\VBoxNetAdp6.sys is there, and that it's version 5.0.2.2096.

I did have VirtualBox 4.3 previously installed on this machine when I was trying to address issue #14040. There is also a file C:\Windows\system32\DRIVERS\VBoxNetAdp.sys on my system that has version 4.3.30.0.

I uninstalled VirtualBox 4.3.30 with the normal setup routine, but it seems that it did not remove this file. How can I safely remove it in order to fix this problem?

comment:7 Changed 2 years ago by michaln

No, removing the old driver file won't fix the problem. Windows just doesn't uninstall drivers fully (don't look at us, that's MSFT's policy).

VirtualBox 4.3.30 only has NDIS 5 networking drivers which means it actually cannot work on Windows 10 where NDIS 6 is required. But I am now wondering if installing 4.3 on a Windows 10 system might be actively harmful.

FWIW, I have no problem here on a laptop that started as Windows 8, had VirtualBox 4.3 installed, then was upgraded to Windows 10 and had VBox 5.0 installed (can't quite remember the order). I have the old driver file lying around too, but the host-only adapters are enumerated correctly.

comment:8 follow-up: ↓ 10 Changed 2 years ago by michaln

Oh and please double check that when you go to "Network Connections" and open the Properties dialog of the "VirtualBox Host-Only Network" connection, you see "VirtualBox NDIS6 Bridged Networking Driver" in the "This connection uses the following items" list.

comment:9 Changed 2 years ago by gregor

To rule out any potential problems with the previous installation of VirtualBox 4.3.30, I completely reinstalled Windows 10 on my machine. The only software I installed after Windows setup was VirtualBox 5.0.2. Directly after the installation (without rebooting the system) I did not have any issues with host-only network adapters. I was able to add, remove and assign host-only adapters. After rebooting the system everything went back to how it was with the previous installation: None of the devices are enumerated, and I have problems with my existing VMs because none of the host-only adapters are properly assigned.

I made an additional observation: I also can't assign bridged adapters to my VMs, and the "Check for updates..." function gives the following error message:

The network operation failed with the following error: Unknown reason.

Changed 2 years ago by gregor

Screenshot of Hosthonly network adapter with NDIS6 driver

Changed 2 years ago by gregor

Screenshot of Hosthonly network adapter with NDIS6 driver

comment:10 in reply to: ↑ 8 Changed 2 years ago by gregor

@michaln: Please see the attached screenshot that shows that the NDIS6 driver is used by the host-only network adapter.

comment:11 Changed 2 years ago by gregor

Any VM that is launched and had a host-only adapter assigned before, gives the following error message on startup:

Nonexistent host networking interface, name 'VirtualBox Host-Only Ethernet Adapter' (VERR_INTERNAL_ERROR).

Result Code: 
E_FAIL (0x80004005)
Component: 
ConsoleWrap
Interface: 
IConsole {872da645-4a9b-1727-bee2-5585105b9eed}

But as described before, the device is visible in Windows Device Manager.

comment:12 Changed 2 years ago by gregor

I reinstalled Windows 10 once again and was not able to use any host-only adapters this time. Not sure why I could see them with the previous installation before rebooting the machine.

I also noticed that VirtualBox's command line tools will enumerate host-only adapters when querying for DHCP servers:

C:\> vboxmanage list -l dhcpservers
NetworkName:    HostInterfaceNetworking-VirtualBox Host-Only Ethernet Adapter
IP:             192.168.56.100
NetworkMask:    255.255.255.0
lowerIPAddress: 192.168.56.101
upperIPAddress: 192.168.56.254
Enabled:        Yes

The corresponding command to list host-only adapters won't provide any output:

C:\> vboxmanage list -l hostonlyifs

comment:13 Changed 2 years ago by michaln

The update check problem is completely unrelated to any of this (we know about that problem, we know what causes it). The "Nonexistent host networking interface" error at VM startup is consistent with the fact that 'list hostonlyifs' sees nothing. No surprise there.

The fact that 'list dhcpservers' shows the host-only adapter is very interesting though. This could be related to different ways of enumerating Windows network adapters.

This won't help you any but I have another laptop upgraded from Windows 8.1 to 10. This one only ever had VirtualBox 5.0 installed (after the OS upgrade I believe) and has no trouble finding host-only adapters, even after reboots.

Oh, and one hint: Initial enumeration is done when VBoxSVC starts, which happens automatically when the VirtualBox GUI is launched or any other API client is started (VBoxManage, a VM process, etc.). It might be interesting to know if restarting VBoxSVC has any effect, i.e. if the problem is transient and perhaps again somehow timing related or if it's consistent. VBoxManage normally quits a few seconds after the last API client disconnects.

comment:14 Changed 2 years ago by jimit

Ah.. I am getting same problem too. Please check my video  https://www.youtube.com/watch?v=8O2UIFncsUA&feature=youtu.be here.

How can I resolve it? Any fix?

comment:15 Changed 2 years ago by aleksey

gregor, jimit,

Please provide the output of "VBoxManage list bridgedifs" and "sc query vboxnetlwf" after you get the empty list of hostonly interfaces.

comment:16 Changed 2 years ago by crramirez

C:\WINDOWS\system32>path "c:\Program Files\Oracle\VirtualBox"

C:\WINDOWS\system32>vboxmanage list -l hostonlyifs

C:\WINDOWS\system32>VBoxManage list bridgedifs

C:\WINDOWS\system32>sc query vboxnetlwf

SERVICE_NAME: vboxnetlwf
        TYPE               : 1  KERNEL_DRIVER
        STATE              : 4  RUNNING
                                (STOPPABLE, NOT_PAUSABLE, IGNORES_SHUTDOWN)
        WIN32_EXIT_CODE    : 0  (0x0)
        SERVICE_EXIT_CODE  : 0  (0x0)
        CHECKPOINT         : 0x0
        WAIT_HINT          : 0x0

The big problem here is that boot2docker uses "vboxmanage list -l hostonlyifs" and then try to create a new host-only adapter. Then it checks again for the created one and fails.

Last edited 2 years ago by crramirez (previous) (diff)

comment:17 Changed 2 years ago by gregor

@michaln: I tried restarting VBoxSVC several times, but it did not show any effect: The list of host-only adapters remains empty.

@aleksey: I get the same output as crramirez, essentially no output when querying for host-only and bridged adapters. Listing DHCP servers still provides details about host-only adapters though (see below):

C:\> vboxmanage list -l bridgedifs

C:\> vboxmanage list -l hostonlyifs

C:\> vboxmanage list -l dhcpservers                                                                          
NetworkName:    HostInterfaceNetworking-VirtualBox Host-Only Ethernet Adapter                             
IP:             192.168.56.100                                                                            
NetworkMask:    255.255.255.0                                                                             
lowerIPAddress: 192.168.56.101                                                                            
upperIPAddress: 192.168.56.254                                                                            
Enabled:        Yes                                                                                       
                                                                                                          
NetworkName:    HostInterfaceNetworking-VirtualBox Host-Only Ethernet Adapter #2                          
IP:             0.0.0.0                                                                                   
NetworkMask:    0.0.0.0                                                                                   
lowerIPAddress: 0.0.0.0                                                                                   
upperIPAddress: 0.0.0.0                                                                                   
Enabled:        No                                                                                        
                                                                                                          
C:\> sc query vboxnetlwf                                                                         
                                                                                              
SERVICE_NAME: vboxnetlwf                                                                      
        TYPE               : 1  KERNEL_DRIVER                                                 
        STATE              : 4  RUNNING                                                       
                                (STOPPABLE, NOT_PAUSABLE, IGNORES_SHUTDOWN)                   
        WIN32_EXIT_CODE    : 0  (0x0)                                                         
        SERVICE_EXIT_CODE  : 0  (0x0)                                                         
        CHECKPOINT         : 0x0                                                              
        WAIT_HINT          : 0x0                                                              

comment:18 Changed 2 years ago by aleksey

Please do "VBoxManage list bridgedifs" again and provide VBoxSVC.log which will be written into <user_dir>\.VirtualBox\

Changed 2 years ago by gregor

VBoxSVC.log after executing "VBoxManage list bridgedifs"

comment:19 Changed 2 years ago by gregor

Aleksey, I have attached the VBoxSVC.log file that was created after executing "VBoxManage list bridgeifs" to this ticket: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC_Gregor_2015-08-17.log

There are no differences in VBoxSVC.log when running VBoxManage to list hostonlyifs, bridgedifs or dhcpservers.

Please let me know if you need any further details.

Last edited 2 years ago by gregor (previous) (diff)

comment:20 Changed 2 years ago by jimit

@Aleksey,

Here is my output.


C:\Program Files\Oracle\VirtualBox>VBoxManage list bridgedifs

C:\Program Files\Oracle\VirtualBox>sc query vboxnetlwf

SERVICE_NAME: vboxnetlwf
        TYPE               : 1  KERNEL_DRIVER
        STATE              : 4  RUNNING
                                (STOPPABLE, NOT_PAUSABLE, IGNORES_SHUTDOWN)
        WIN32_EXIT_CODE    : 0  (0x0)
        SERVICE_EXIT_CODE  : 0  (0x0)
        CHECKPOINT         : 0x0
        WAIT_HINT          : 0x0

C:\Program Files\Oracle\VirtualBox>vboxmanage list -l dhcpservers
NetworkName:    HostInterfaceNetworking-VirtualBox Host-Only Ethernet Adapter
IP:             192.168.56.100
NetworkMask:    255.255.255.0
lowerIPAddress: 192.168.56.101
upperIPAddress: 192.168.56.254
Enabled:        Yes

@Aleksey, What should I check? What's supposed to a problem?

Last edited 2 years ago by jimit (previous) (diff)

comment:21 Changed 2 years ago by jimit

Last edited 2 years ago by jimit (previous) (diff)

comment:22 follow-up: ↓ 23 Changed 2 years ago by michaln

For reference, could you all please note what Ethernet hardware is in your systems (both wired and wireless)? There is a good chance the problem is related to the Ethernet hardware/drivers on the system.

comment:23 in reply to: ↑ 22 Changed 2 years ago by gregor

@michaln: My computer has the following two network adapters:

  • Wired: Intel 82579LM Gigabit Network Connection
  • Wireless: Intel Centrino Ultimate-N 6300 AGN

I never had any problems with my network hardware and previous versions of VirtualBox and Windows.

Please let me know if I can provide further details.

comment:24 Changed 2 years ago by michaln

Previous versions of VirtualBox had a completely different implementation of bridging and host-only on Windows (NDIS 5 vs. NDIS 6). At the same time, Windows 10 clearly made a number of changes that broke things working on previous versions; one of those changes is that NDIS 5 is no longer available at all. On top of that, Windows 10 was released more or less simultaneously with VirtualBox 5.0. Conservative people always let others work through the bugs first, but apparently there aren't enough of them :)

For reference, the X1 Carbon with no bridged/host-only problems has an Intel Centrino Advanced-N 6205 (no wired connection).

comment:25 follow-up: ↓ 26 Changed 2 years ago by michaln

And for good measure... do any of the affected systems have any AV and/or firewall software that might be interfering? Or is reproducible on a completely clean Windows 10 install with no funny stuff?

comment:26 in reply to: ↑ 25 Changed 2 years ago by gregor

@michaln: I tried this several times on a completely new installation of Windows 10 without any additional security or anti-virus software.

Are you able to get VirtualBox 5.x running on a fresh Windows 10 installation, i.e. not a Windows 7/8 upgrade installation?

comment:27 Changed 2 years ago by gregor

@michaln: Also, were you able to further look into why all host-only adapters would be enumerated using the "VBoxManage list dhcpservers" command?

comment:28 Changed 2 years ago by michaln

Clean install - tried that in a VM and yes, it works fine. On real hardware not yet but soon.

As for the enumeration, it's just done quite differently. The code doing that isn't exactly secret:  http://www.virtualbox.org/svn/vbox/trunk/src/VBox/HostDrivers/VBoxNetFlt/win/cfg/VBoxNetCfg.cpp -- the trouble seems to be with the INetCfg interface.

comment:29 Changed 2 years ago by michaln

And again no trouble with a clean install (Windows 10 Enterprise x64) on an older Dell Latitude laptop. That one has an Intel Centrino Advanced-N 6205 and Intel 82579LM Gigabit Network Connection. Sandy Bridge CPU.

comment:30 follow-up: ↓ 31 Changed 2 years ago by gabe.rdgz

I'm experiencing a similar problem, I just install virtual box and I can't do any update.

When I create a virtual machine it "aborted" when I setup a bridge network. But it does not aborted when I disable the network adaptor.

The big difference in my problem is that I'm using Linux Debian Wheezy i686 as a host and as new VM.

comment:31 in reply to: ↑ 30 Changed 2 years ago by vushakov

Replying to gabe.rdgz:

I'm experiencing a similar problem, [...]

The big difference in my problem is that I'm using Linux Debian Wheezy i686 as a host and as new VM.

Please, this bug is about Windows and Windows 10 specifically. Your drive by comments about a Linux host are not helping.

Changed 2 years ago by gregor

Screenshot: Running Win10 and VBox within a VM

comment:32 Changed 2 years ago by gregor

@michaln: As discussed earlier, I installed Windows 10 Pro 64-bit and VirtualBox 5.0.3 within a VM on my machine that shows the described problems, and within the VM, host-only adapters are enumerated properly, see screenshot: https://www.virtualbox.org/attachment/ticket/14437/win10_64-vbox5-hostonlyifs.png

comment:33 Changed 2 years ago by aleksey

Please try a test build available at https://www.virtualbox.org/download/testcase/VirtualBox-5.0.3-102229-Win.exe. While it does not solve any issues, it writes some information into VBoxSVC.log which may help to determine what goes wrong during enumeration. After installing it, just do "VBoxManage list hostonlyifs" or run GUI and provide the resulting VBoxSVC.log. Thanks a lot in advance!

Changed 2 years ago by gregor

VBoxSVC.log generated with VBox 5.0.3-102229

comment:34 Changed 2 years ago by gregor

@aleksey: I installed the latest build and ran "VBoxManager list hostonlyifs". You can find the generated log file here: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC.log

comment:35 Changed 2 years ago by aleksey

Thanks a lot! Now it is clear that enumeration fails because we cannot obtain INetCfg interface. We will continue investigation to find the cause. Meanwhile it would be nice if somebody else provided the log to see if others encounter the same issue.

Changed 2 years ago by whyNot

VBoxSVC.log For Ticket #14437

comment:36 Changed 2 years ago by whyNot

I have the same problem. While executing "VBoxManager list hostonlyifs" command my log file looks like this: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC.2.log

There is no difference when I use "run as administrator" command.

Changed 2 years ago by whyNot

VBoxSVC.log For Ticket #14437 - VB updated to r102229

Changed 2 years ago by michaln

Working W500 system

comment:37 Changed 2 years ago by michaln

For comparison, I uploaded VBoxSVC.log from a working ThinkPad W500. For kicks I installed AnyConnect but it failed to break the adapter enumeration.

comment:38 Changed 2 years ago by gregor

@michaln: Please note that AnyConnect did not break adapter enumeration on my machine as I have tested this several times on a completely fresh installation of Windows 10 (i.e. without having AnyConnect installed yet).

comment:39 Changed 2 years ago by michaln

I didn't think it did (or I'd ask you to try without :) ). It's clear that some systems without AnyConnect are failing too, and as far as we can tell that includes systems with no 3rd-party software.

Unfortunately the error is coming from somewhere deep down in the guts of COM/RPC, which probably not even Microsoft understands anymore.

comment:40 Changed 2 years ago by andyp1973

I have run the test as defined above (VBoxManage list hostonlyifs) and whereas in other peoples log files they are showing many line of NetIfList issues between the output of the USB Unknown device and the host DNS information there is nothing in mine. It just shows:

00:00:00.238145 USB: Unknown USB device detected ( idVendor: 0x0000, idProduct: 0x0000 ). Please, report the idVendor and idProduct to vbox.org. 00:00:00.238145 USB: Unknown USB device detected ( idVendor: 0x0000, idProduct: 0x0000 ). Please, report the idVendor and idProduct to vbox.org. 00:00:00.540051 HostDnsMonitor: old information 00:00:00.540051 no server entries 00:00:00.540051 no search string entries 00:00:00.540051 no domain set

Is that a good sign?

Andy.

comment:41 follow-ups: ↓ 42 ↓ 44 Changed 2 years ago by michaln

Andy: No, that's not a good sign, you probably ran an older revision. It's listed at the top of VBoxSVC.log; r102229 should be the right one.

gregor, everyone: Could you please check what happens when VBoxSVC is restarted (without rebooting the host or anything)? Does the enumeration again work initially (all those NetIfList lines) and then starts failing ("failed to acquire INetCfg interface")? Or does it fail even the first time?

comment:42 in reply to: ↑ 41 Changed 2 years ago by gregor

@michaln: Restarting the VBoxSVC service doesn't make a difference: First I restarted my host machine, started VirtualBox and verified that host-only adapters are not enumerated in the GUI (see log file: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC-Host-Restarted_Gregor_2015-08-20.log). Then I restarted the VBoxSVC service (by killing the process in Task Manager and starting VBoxSVC.exe) and used the VBoxManage command to list host-only adapter, also without any success (see log file: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC-Service-Restarted_Gregor-2015-08-20.log). In both cases, the following lines related to the INetCfg interface are logged:

00:00:00.289723          netIfListHostAdapters: failed to acquire INetCfg interface (0x8001076b)

Not sure about if this is related, but the following lines are logged only in the first case (after the host machine was restarted):

00:00:00.543417          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={4afe423b-43e0-e9d0-82e8-ceb307940dda} aComponent={MediumWrap} aText={Unknown exception
00:00:00.543417          F:\tinderbox\win-rel\out\win.amd64\release\obj\VBoxAPIWrap\MediumWrap.cpp[2245] (long __cdecl MediumWrap::GetEncryptionSettings(unsigned short **,unsigned short **))}, preserve=false aResultDetail=0
00:00:18.464498          NetIfList: building the list of interfaces
00:00:18.480125          NetIfList: failed to acquire INetCfg interface (0x8001076b)
00:00:18.480125          netIfListHostAdapters: failed to acquire INetCfg interface (0x8001076b)
Last edited 2 years ago by gregor (previous) (diff)

Changed 2 years ago by gregor

VBoxSVC.log after restarting host

Changed 2 years ago by gregor

VBoxSVC.log after restarting VBoxSVC service

comment:43 Changed 2 years ago by michaln

The MediumWrap error is totally unrelated (happens on working systems too). But basically what I was after was what happens after the first "NetIfList: building the list of interfaces". And it looks like the first invocation works, but the subsequent ones consistently fail. On a working system, it works every time.

comment:44 in reply to: ↑ 41 Changed 2 years ago by andyp1973

Replying to michaln:

Andy: No, that's not a good sign, you probably ran an older revision. It's listed at the top of VBoxSVC.log; r102229 should be the right one.

Yup, count me an idiot I was running r102224 which looked a lot like r102229 before the coffee had kicked in properly! :-)

Having installed the correct version it looks much the same as everyone else with a couple of references to:

00:00:00.556093          netIfListHostAdapters: failed to acquire INetCfg interface (0x8001076b)

and

00:00:00.790482          NetIfList: building the list of interfaces
00:00:00.790482          NetIfList: failed to acquire INetCfg interface (0x8001076b)
00:00:00.790482          netIfListHostAdapters: failed to acquire INetCfg interface (0x8001076b)

Networking hardware is listed as:

Wireless: Intel Centrino Wireless-N 1030 (PCI bus 3 dev 0 fcn 0)
          Intel driver 15.11.0.8 dated 17/11/2014

Wired   : Qualcomm Atheros AR8151 PCI-E Gigabit Ethernet Controller (PCI bus 5, dev 0, fcn 0)
          Microsoft driver 2.1.0.16 dated 01/04/2013

Full log attached...

EDIT - added code block formatting to make things easier to read!

EDIT2 - added hardware and driver description.

Andy.

Last edited 2 years ago by andyp1973 (previous) (diff)

Changed 2 years ago by andyp1973

Log file with r102229

Changed 2 years ago by dallonf

Yet another log file

comment:45 Changed 2 years ago by dallonf

Just attached my log file. Let me know if there's any more data you'd like from this machine - or from my other Windows 10 box, which doesn't have this issue.

comment:46 Changed 2 years ago by giusi

this is so strange..pls see..:

VirtualBox COM Server 5.0.3 r102229 win.amd64 (Aug 19 2015 18:36:37) release log 00:00:00.000000 main Log opened 2015-08-20T15:16:24.245184700Z 00:00:00.000000 main Build Type: release 00:00:00.000000 main OS Product: Windows 8 00:00:00.000000 main OS Release: 6.2.9200 00:00:00.000000 main OS Service Pack: 00:00:00.015626 main DMI Product Name: Z97-HD3 00:00:00.031250 main DMI Product Version: To be filled by O.E.M. 00:00:00.031250 main Host RAM: 8026MB total, 6257MB available

VirtualBox COM Server 5.0.2 r102096 win.amd64 (Aug 13 2015 17:23:32) release log 00:00:00.015598 main Log opened 2015-08-20T15:11:40.591649700Z 00:00:00.015598 main Build Type: release 00:00:00.015598 main OS Product: Windows 10 00:00:00.015598 main OS Release: 10.0.10240 00:00:00.015598 main OS Service Pack: 00:00:00.015598 main DMI Product Name: Z97-HD3 00:00:00.031219 main DMI Product Version: To be filled by O.E.M. 00:00:00.031219 main Host RAM: 8026MB total, 5926MB available

to sum up if i run the last stable vb 5.0.2 i got a correct identification of my s.o: win 10

but if i run a test build, for ex the very latest 5.0.3.102229 i got: win 8 as S.O.

how do you explain it..??

cheers

Changed 2 years ago by giusi

svc.log 5.0.3 r102229

comment:47 Changed 2 years ago by giusi

apologize for mistake but the mistery win 8 vs win 10 is due to the fact i run the test build in compatibility mode.. any way pls take a look at the file i've attached..hope this could help...

Changed 2 years ago by crramirez

VBoxManage list hostonlyifs

comment:48 Changed 2 years ago by crramirez

A Strage thing in my log:

00:00:00.012003 main     Build Type: release
00:00:00.012003 main     OS Product: Windows 7
00:00:00.012003 main     OS Release: 6.1.7600
00:00:00.012003 main     OS Service Pack: 
00:00:00.063022 main     DMI Product Name: Latitude E6430
00:00:00.093033 main     DMI Product Version: 01

I have Windows 10 but i the log file it says Windows 7

Changed 2 years ago by crramirez

VBoxManage list hostonlyifs

comment:49 Changed 2 years ago by crramirez

Sorry I was running in Windows 7 compatibility mode. Here the log without it: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC.7.log after running

VBoxManage list hostonlyifs

comment:50 Changed 2 years ago by aleksey

Please try out this test build and provide VBoxSVC.log. The build is not likely to work either, but it avoids redundant calls to query/release INetCfg and provides some additional logging.

Guys, please, do not use any creative solutions, like compatibility modes, etc. The stuff is supposed to work as is. If you have trouble installing the build, just report it, do not try to get around it in some non-standard way. It is very hard to diagnose issues that are introduced by some "magic" solutions to the problems that are not supposed to happen in the first place.

One more thing: please, uninstall the previous build before installing the new one. Note that the "upgrade" procedure preserves existing host-only adapters. Although it is completely normal, it complicates things further, should something go wrong.

Changed 2 years ago by gregor

VBoxSVC.log created with VirtualBox 5.0.51-102260

Changed 2 years ago by gregor

VBoxSVC.log created with VirtualBox 5.0.51-102260 after restarting the VBoxSVC service

comment:51 Changed 2 years ago by gregor

@aleksey: I have uninstalled the previous version and installed the provided test build 5.0.51-102260. I did not tinker with the compatibility settings on my system at all. Attached are the following VBoxSVC logs:

1) After installation and startup of VirtualBox: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC-VBox-5.0.51-102260_Gregor_2015-08-21.log

2) After restarting the VBoxSVC service: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC-VBox-5.0.51-102260-VBoxSVC-restarted_Gregor_2015-08-21.log

comment:52 Changed 2 years ago by peterrus

I am experiencing the same behaviour.

Windows 10 pro+ virtualbox 5.0.2 and the VirtualBox-5.0.3-102224-Win build, both without success.

which means:

  • no bridgeable adapters are being found
  • host-only interfaces are being created but can not be listed

If any information is needed, please say so

Last edited 2 years ago by peterrus (previous) (diff)

Changed 2 years ago by giusi

no bridge network and no drag n'drop

comment:53 Changed 2 years ago by giusi

i prove also the latest .102060 i've attached the logs...

Desktop.zip Download (26.2 KB) - added by giusi 7 seconds ago.

no bridge network and no drag n'drop

any ideas..??

Changed 2 years ago by dallonf

log from r102260

Changed 2 years ago by dallonf

comment:54 Changed 2 years ago by dallonf

Just uploaded two new logfiles from the new test build (r102260), one before and after restarting VBoxSvc.exe (to clarify, VBoxSvc.exe is supposed to be a Process, not a Service, in the Task Manager, right?)

Changed 2 years ago by crramirez

VBoxSVC-VBox-5.0.51-cramirez VBoxManage list hostonlyifs

Changed 2 years ago by whyNot

Log created by VirtualBox-5.0.51-102260-Win

comment:55 Changed 2 years ago by giusi

at this moment and i've attached all the logs i've done still: no bridgeable adapters are being found

comment:56 Changed 2 years ago by giusi

just for let you know that latest 5.0.3.102290 did not solve the issue

comment:57 Changed 2 years ago by analytik

I have similar problems as the others - host-only adapters are created, but don't seem to work. I'm using Windows 10 Pro amd64, with both stable builds and 102224. I have UAC disabled completely, and thus running everything as Administrator. Maybe that is related? Also I have Windows Firewall disabled, but the service itself is running.

Last edited 2 years ago by analytik (previous) (diff)

Changed 2 years ago by analytik

r102260 Win10 x64 no-UAC

comment:58 Changed 2 years ago by giusi

I have UAC disabled completely,

and thus running everything as Administrator. Maybe that is related?

Also I have Windows Firewall disabled, but the service itself is running.

in my case i've also stopped its service..but

the issue is -still- there...

comment:59 Changed 2 years ago by ptsmonteiro

Same problem here having installed the latest virtualbox test build. Using Windows 10 (upgraded from Windows 7) on a Lenovo Thinkpad W520.

comment:60 Changed 2 years ago by aleksey

Shortly we should be able to provide a test build employing a workaround solution, but first we need to confirm the point of failure. Please try this test build and provide VBoxSVC.log as usual.

Changed 2 years ago by gregor

VBoxSVC.log created with VirtualBox 5.0.51-102346

Changed 2 years ago by gregor

VBoxSVC.log created with VirtualBox 5.0.51-102346 after restarting the VBoxSVC service

comment:61 Changed 2 years ago by gregor

@aleksey: Here are the log files generated with the recent test build 5.0.51-102346:

1) After installation and startup of the VirtualBox GUI: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC-VBox-5.0.51-102346_Gregor_2015-08-25.log

2) After restarting the VBoxSVC service: https://www.virtualbox.org/attachment/ticket/14437/VBoxSVC-VBox-5.0.51-102346-VBoxSVC-restarted_Gregor_2015-08-25.log

comment:62 Changed 2 years ago by giusi

but which ext pack is suitable with this latest test build workaround..?? the 5.0.3.102322 works..??

Changed 2 years ago by dallonf

VBoxSVC.log for r102346

Changed 2 years ago by giusi

latest test build vboxsvclog

comment:63 Changed 2 years ago by giusi

added latest log for r102346

comment:64 Changed 2 years ago by giusi

add log with extension pack 5.0.3.102322 installed

Changed 2 years ago by giusi

latest vboxsvc.log

Changed 2 years ago by crramirez

VirtualBox-5.0.51-102346

Changed 2 years ago by mjordan79

comment:65 Changed 2 years ago by mjordan79

After doing a clean install of VBox build 102322 on Windows 10 10240 build, the hostonly creation gives an error:

C:\Programmi\oracle\VirtualBox>vboxmanage hostonlyif create 0%... Progress state: E_FAIL VBoxManage.exe: error: Failed to create the host-only adapter VBoxManage.exe: error: Code E_FAIL (0x80004005) - Unspecified error (extended info not available) VBoxManage.exe: error: Context: "enum RTEXITCODE cdecl handleCreate(struct HandlerArg *)" at line 71 of file VBoxManageHostonly.cpp

Enumerating hostonly devices seems to find the devices, though. Attached is the log file.

Last edited 2 years ago by mjordan79 (previous) (diff)

comment:66 Changed 2 years ago by kpoman

Same issue here, win10, tested on build 102322 and 102096. With some combination of magic I am able to create the host-only interfaces, however they are not listed on the dropdown list. Also unable to have it bridged. I manually edited the vm's xml config file to put outside the DisabledModes scope, and running the VM gives: "Could not start the machine xxxxxxxx because the following physical network interfaces were not found:

Intel(R) Centrino(R) Advanced-N 6205 (adapter 1)

You can either change the machine's network settings or stop the machine."

Under "Network Connections" I do have 3 host-only interfaces, however now listing via vboxmanage doesnt find any nor bridged ones. Wth ???

Changed 2 years ago by whyNot

5.0.51 r102346 win.amd64

comment:67 Changed 2 years ago by kpoman

Just in case this may help. After installing, I edit the "network connections" Virtualbox Host-only ethernet adapter -> Properties -> Install -> Service -> Oracle -> VirtualBox NDIS6 Bridged Networking Driver -> Have Disk -> ... browse to "C:\Program Files\Oracle\VirtualBox\drivers\network\netlwf" and select VBoxNetLwf.inf

===> Could not add the requested feature. The error is: The specified module could not be found.

Quite strange ...

Changed 2 years ago by kpoman

service list after trying to add vbox net svc

comment:68 Changed 2 years ago by kpoman

Just complementing, I see a success on the Event Viewer > System: """ A service was installed in the system.

Service Name: VirtualBox NDIS6 Bridged Networking Service Service File Name: \SystemRoot\system32\DRIVERS\VBoxNetLwf.sys Service Type: kernel mode driver Service Start Type: system start Service Account: """

I dont know what is the service name of this thing, but I dont see it on the service's list. (attached file)

comment:69 follow-up: ↓ 70 Changed 2 years ago by giusi

"Changed 25 hours ago by aleksey

Shortly we should be able to provide a test build employing a workaround solution, but first we need to confirm the point of failure"..:

..we are anxious...is there a scheduled date..??!!

comment:70 in reply to: ↑ 69 Changed 2 years ago by frank

Replying to giusi:

"Changed 25 hours ago by aleksey

Shortly we should be able to provide a test build employing a workaround solution, but first we need to confirm the point of failure"..:

..we are anxious...is there a scheduled date..??!!

Comments like this are the reason why we never promise any ETA.

comment:71 Changed 2 years ago by giusi

thxs!

so what you mean when: "Shortly we should be able to provide a test build employing a workaround solution"

thxs for yr patience!!

cheers!!

if not an ETA at least an LTA (..L means Likely...)

:)

Last edited 2 years ago by giusi (previous) (diff)

comment:72 Changed 2 years ago by frank

I know this problem is annoying and we are working on a test build and on a fix. Still, I would like to ask for more patience.

comment:73 Changed 2 years ago by giusi

sure! thxs for yr helping! good luck! yours will be ours!

cheers!

comment:74 follow-up: ↓ 77 Changed 2 years ago by aleksey

Guys, while you are waiting, could anybody build BindView sample from WDK and check if it works on your host? Try to switch between "All Services" and "All Clients" several times, for example. This sample uses INetCfg interface extensively.

comment:75 follow-up: ↓ 76 Changed 2 years ago by giusi

hi!

"could anybody build BindView sample from WDK and check if it works on your host? Try to switch between "All Services" and "All Clients" several times, for example. This sample uses INetCfg interface extensively. "..: i'd like to give a helpful hand..but..could you pls explain more easely as you were talk to a new born child what to do..??

cheers

comment:76 in reply to: ↑ 75 Changed 2 years ago by andyp1973

Replying to giusi:

i'd like to give a helpful hand..but..could you pls explain more easely as you were talk to a new born child what to do..??

It roughly translates as...

  1. Download and install Visual Studio 2015
  1. Download and install WDK (Windows Driver Kit) 10 (you may also need the Windows SDK too).
  1. Compile the "BindView" sample from the Windows Driver Samples
  1. Run the test as requested by aleksey
  1. Report results
  1. Drink coffee

Andy (currently waiting for point 2 to complete).

Last edited 2 years ago by andyp1973 (previous) (diff)

comment:77 in reply to: ↑ 74 Changed 2 years ago by andyp1973

Replying to aleksey:

Guys, while you are waiting, could anybody build BindView sample from WDK and check if it works on your host?

I have built and tested BindView on Windows 10.0.10240 using Visual Studio 2015 and WDK 10 and it appears to function without any problems. Stored output is attached.

Andy.

Changed 2 years ago by andyp1973

Output of BindView utility

Changed 2 years ago by andyp1973

Build logs from BindView for reference

comment:78 Changed 2 years ago by aleksey

Thanks a lot for confirming that bindview works properly! This build contains an alternative implementation of adapter enumeration and it should work on your systems. Please try it out and report if it fixes the issue.

comment:79 Changed 2 years ago by andyp1973

Hi aleksey,

I have run the installer as an upgrade from 5.0.3-102322 to 5.0.51-102372 and ExtPack 5.0.3-102322 and can confirm the following:

  1. The two VirtualBox Host-Only Ethernet adapters are listed under File -> Preferences -> Network -> Host-only Networks.
  1. Selecting "Bridged Adapter" under the Virtual Machine settings lists my wired gigabit Ethernet adapter, TAP adapter (from OpenVPN I think) and Bluetooth device. The bridged adapter list doesn't show my Intel Centrino wireless adapter.

Having looked in the log file then contains the following:

00:00:00.247007          Enumerating {EABB928C-E18B-459D-A098-6ED9615E0CBC}
00:00:00.247007          Skipped non-Ethernet 'Wi-Fi'

I will attach the VBoxSvc log file and will do some more testing.

Andy.

Last edited 2 years ago by andyp1973 (previous) (diff)

Changed 2 years ago by andyp1973

Log from tests with 5.0.51-102372

comment:80 Changed 2 years ago by andyp1973

Update...

If I try to delete either of the two pre-existing Host-Only Ethernet adapters then it fails with:

Failed to remove the host network interface VirtualBox Host-Only Ethernet Adapter.
Result Code: E_FAIL (0x80004005)

Likewise, trying to create a new Host-Only Ethernet adapter fails in the same way.

Regards,

Andy.

comment:81 Changed 2 years ago by gregor

@aleksey:

I have uninstalled the previous test build and installed 5.0.51-102372:

  • Host-only adapters are enumerated
  • Bridged adapters and host-only adapters can be assigned to existing VMs
  • I do not get any error message when I delete host-only adapters. AFAIK, VirtualBox only created one host-only interface on installation. Maybe @andyp1973's problem is related to performing an upgrade installation?

I can also confirm @andyp1973's problem about the bridge adapter list: My wireless adapter is also missing in the selection box:

[...]
00:00:04.096626          Enumerating {C29D587D-5E60-4766-A30C-9F947142C738}
00:00:04.096626          Skipped non-Ethernet 'Wi-Fi'
00:00:04.096626          Enumerating {060A7253-1078-4191-A20E-97691DAA4302}
00:00:04.096626          Skipped non-Ethernet 'Local Area Connection* 3'
00:00:04.096626          Enumerating {F23248D4-FA55-4694-A2A9-D11E364CE9EF}
00:00:04.096626          Adding Intel(R) 82579LM Gigabit Network Connection as bridged
00:00:04.096626          Enumerating {5DFE4AC6-7DCD-4F41-9D33-3990BBC4F4A0}
00:00:04.096626          Adding VirtualBox Host-Only Ethernet Adapter as host-only
00:00:04.096626          Enumerating {2D8C0DCD-4DBE-4AFD-AC47-9709D4A3F27E}
00:00:04.096626          Adding Bluetooth Device (Personal Area Network) as bridged
[...]

Changed 2 years ago by gregor

comment:82 Changed 2 years ago by aleksey

Hang on, the fix is coming...

comment:83 Changed 2 years ago by andyp1973

Uninstalling the ExtPack and VirtualBox 5.0.51-102372 has removed all of the instances of Host-Only network adapters.

Reinstalling 5.0.51-102372 with ExtPack 5.0.3-102322 has created one Host-Only adapter (according to the dialog in VirtualBox) although Windows Networking (Network Connections) shows two adapters associated with VirtualBox, one called "Ethernet" the other called "VirtualBox Host-Only Network".

I still see the same errors with trying to add or delete Host-Only adapters despite the uninstall and reinstall but interestingly the VirtualBox adapter named "Ethernet" seems to have disappeared from the Network Connections list.

5.0.51-102372 appears to be a big step in the right direction so thanks for the development teams efforts to date.

Andy.

comment:84 Changed 2 years ago by aleksey

WiFi adapters should be listed properly in this build.

Andy, the error you are getting is "access denied". Could there be something unusual about your user account or UAC settings on your system? I suggest uninstalling VirtualBox, then removing all host-only adapters by choosing "Uninstall" action for each "VirtualBox Host-Only ..." adapter in Device Manager. Reboot the system (just to make sure there are no stale processes and drivers, not strictly necessary) and install the build I mentioned above.

comment:85 Changed 2 years ago by andyp1973

I can confirm that my wireless adapter is now listed in the bridged adapter settings.

Having done an uninstall, checked that all the Host-Only adapters had been removed from device manager (they were), rebooted and then installed the 5.0.51-102375 build with ExtPack 5.0.3-102322 I can now create and delete Host-Only adapters from within VirtualBox without error.

I do have some odd UAC settings to stop Windows nagging me to perform tasks I have just asked it to do so the "User Account Control Settings" slider is all the way down at "never notify" and there are some other changes made through gpedit.msc to stop the administrator elevations dialogs appearing when I copy into C:\Program Files and other similar directories.

I will start to fire up the VMs now and check they are all working. Any recommendations on the best guest additions to go with this version?

Thanks for all your efforts on getting this one working...

Andy.

comment:86 Changed 2 years ago by giusi

hi!

a little step ahead..now i can see my network adapter in the list when i choose network bridged..but..i get error when i start the vm.. so i'm not able to start my vm .. i attached the file .log..what could it be..?

Last edited 2 years ago by giusi (previous) (diff)

Changed 2 years ago by giusi

comment:87 Changed 2 years ago by gregor

I can also confirm that build 102375 now enumerates all network adapters for bridged networking:

00:00:00.122568          Enumerating {B0CE5FFF-C576-4B2E-8CDF-C9CD163DFF9F}
00:00:00.122568          Adding Cisco AnyConnect Secure Mobility Client Virtual Miniport Adapter for Windows x64 as bridged
00:00:00.122568          Enumerating {C29D587D-5E60-4766-A30C-9F947142C738}
00:00:00.122568          Adding Intel(R) Centrino(R) Ultimate-N 6300 AGN as bridged
00:00:00.122568          Enumerating {060A7253-1078-4191-A20E-97691DAA4302}
00:00:00.122568          Adding Microsoft Wi-Fi Direct Virtual Adapter as bridged
00:00:00.122568          Enumerating {F23248D4-FA55-4694-A2A9-D11E364CE9EF}
00:00:00.122568          Adding Intel(R) 82579LM Gigabit Network Connection as bridged
[...]
00:00:00.122568          Enumerating {2D8C0DCD-4DBE-4AFD-AC47-9709D4A3F27E}
00:00:00.122568          Adding Bluetooth Device (Personal Area Network) as bridged
[...]

Thanks so much for fixing this problem.

comment:88 Changed 2 years ago by giusi

what about my log and the error i get in start my vm..?

comment:89 Changed 2 years ago by andyp1973

@giusi - have you paid for a support contract that gives you a guaranteed 10 minute response time on issues you raise? If not, chill out, relax and wait for someone to provide you an answer?

comment:90 Changed 2 years ago by andyp1973

I can confirm that with VirtualBox 5.0.51-102375 and ExtPack 5.0.3-102322 that I can successfully power up my VMs and I have verified that the bridged networking works as expected with both my wired and wireless adapters with Windows Server 2003R2 64bit guest and openSUSE 12.3 32bit guest.

As far as I can tell this version is a winner! Well done!

Andy.

comment:91 Changed 2 years ago by giusi

thanks andy for yr kindness! 10 minutes has passed by..so why not you to answer..!! cheers!! thxs again for yr kind and lovely patienceable helping!!

:)

comment:92 Changed 2 years ago by andyp1973

I'm not a VirtualBox expert but your log file is littered with file not found issues which I would guess means either your VM files are now missing or this version of VirtualBox isn't looking in the right place.

Either way, I'm not sure how that relates directly to this bug which is about host-only adapter enumeration but you may want to verify that all the files are where you think you left them!

Andy.

comment:93 Changed 2 years ago by Sae1962

Here is somebody who claims to have a solution:  How to solve Virtualbox 5.0 Errors (German)

comment:94 Changed 2 years ago by gregor

I ran some tests with VirtualBox 5.0.51 build 102374 and two VMs (SLES 11.3 x64 and Windows Server 2008R2 x64) with host-only and bridged network adapters. Everything is working fine. Again, thanks for fixing this problem!

comment:95 follow-up: ↓ 96 Changed 2 years ago by giusi

@andy: you mean that if i re create a new vm all should be ok..? @sae: really seems a mouse trap..a window for chicken..a mean a great S P A M @gregor : where did you find -102374?--here are 102372 and 102375...

Last edited 2 years ago by giusi (previous) (diff)

comment:96 in reply to: ↑ 95 Changed 2 years ago by gregor

Replying to giusi:

@gregor : whhere you find -74?--here are 102372 and 102375...

Sorry, that was a typo, I meant 102375. Also, I didn't have to recreate any of my VMs to address the initially described problem, i.e. making host-only adapters work on Windows 10.

comment:97 Changed 2 years ago by giusi

@gregor: thxs so much!..so what you think is wrong in my pc examining the log i gave..?

yr help is very important for me!! thxs again!!

comment:98 Changed 2 years ago by dallonf

Thanks to this patch, I was able to get docker-machine working on my laptop! Problem solved.

comment:99 Changed 2 years ago by giusi

i confirm that now the netcard adapter is visible and selectable but if i choose network bridge the vm do not start at all.. if i revert to nat it starts and i can connect to internet..

so for me the issue : not able to work in -bridge- network mode is still there

i already gave the vboxsvc.log if you need

any ideas...??

Last edited 2 years ago by giusi (previous) (diff)

comment:100 Changed 2 years ago by giusi

"Changed 7 hours ago by aleksey

Hang on, the fix is coming..."..:

..also for my issue..??

comment:101 Changed 2 years ago by aleksey

giusi,

Your problem appears to be not related to enumeration of network adapters as it was pointed out by Andy. You should try to find a more appropriate bug in the tracker or create your own. Please understand that our time resources are limited and we cannot help everybody at the same time. When you do find or create a ticket upload VM log there and describe what error you get when you start VM. But please do not use this ticket unless you have trouble with listing the adapters.

comment:102 Changed 2 years ago by gbisheimer

I confirm it Working with version 5.0.51-102375 standalone and vagrant 1.7.4 Great work aleksey!! Was looking for this fix since I migrated to Win10.

Thank you so much!

comment:103 Changed 2 years ago by whyNot

My problem is now resolved! I can now run my virtual machines through vagrant and use linux server's services on W10 host (web design). Thank You!

comment:104 Changed 2 years ago by kpoman

Works for me too :) Very cool !! Thanks dudes !

comment:105 Changed 2 years ago by giusi

"Changed 9 hours ago by aleksey

giusi,

Your problem appears to be not related to enumeration of network adapters as it was pointed out by Andy. You should try to find a more appropriate bug in the tracker or create your own."

hi !

first thxs so much for yr kind patience..

you mean this..?..: https://www.virtualbox.org/ticket/14428

just done..but..why as you can easely see there really are not any usefull contributions there..? i mean on this ticket 14437 there are lots of.. infact now has been happly solved.. i'm asking why for the one i've created many days ago this was really not at all.. and the strange thing is that if you take a ride on official vbox forum you easely realize that the network bridge issue is very much suffered by vbox users.. even if much more of the enumerating one treated here.. so why here you have made lots of efforts and there none..??

apologize my very few and poor english..

thxs again for yr kind and patienceable helping!

pls reply! i promise not to disturb again here on this ticket! cheers!!

Last edited 2 years ago by giusi (previous) (diff)

comment:106 Changed 2 years ago by Sae1962

From where can I download VirtualBox 5.0.51-102375? On the https://www.virtualbox.org/wiki/Testbuilds page, I can see build 102322, which does not solve the problem for me. I do not have the ExtPack 5.0.3-102322. Is it really necessary to run VirtualBox?

Last edited 2 years ago by Sae1962 (previous) (diff)

comment:107 Changed 2 years ago by aleksey

You can get build 102375 here.

comment:108 Changed 2 years ago by Sae1962

Thanks! On the companies 10-year-old hp that was originally delivered under Windows Vista & got through Windows 7, 8, 8.1 to Windows 10, I get this time another, much better message that reads:

Could not start the machine Debian810 because the following physical network interfaces were not found:

VirtualBox Host-Only Ethernet Adapter (adapter 2)

You can either change the machine's network settings or stop the machine.

When I go to the network settings, I see the following:

Network

Adapter 0 | Adapter 0 | Adapter 0 | Adapter 0
[_] Enable Network Adapter
     Attached to: [Not attached  v]
            Name: [                                                   ]
     > Advaned
    Adapter type: [PCnet-PCI II (Am79C970A)                          v]
Promiscuous Mode: [Deny                                               ]
...

What am I supposed to do there?

If I just say [OK] at the bottom of the dialogue, I get the same error message as before:

Failed to open a session for the virtual machine Debian810.

Nonexistent host networking interface, name 'VirtualBox Host-Only Ethernet Adapter' (VERR_INTERNAL_ERROR).

Result Code: E_FAIL (0x80004005)
Component: ConsoleWrap
Interface: IConsole {872da645-4a9b-1727-bee2-5585105b9eed}
Last edited 2 years ago by frank (previous) (diff)

comment:109 Changed 2 years ago by aleksey

Are you sure you get "Adapter 0 | Adapter 0 | Adapter 0 | Adapter 0" in GUI? Please provide the output of "VBoxManage list hostonlyifs", "ipconfig /all", and VBoxSVC.log (after you open that machine's network settings dialog) found in <user_dir>\.VirtualBox directory.

comment:110 Changed 2 years ago by Sae1962

There is a new situation. I get now the window with the two VMs on the left, but both "(=) Inaccessible". And I didn't start the "Oracle VM VirtualBox fix" before.

I can give you access to this machine, if you have time & think that it will make things clearer. I have the TeamViewer client installed.

Last edited 2 years ago by Sae1962 (previous) (diff)

comment:111 Changed 2 years ago by BartH

build 102375 solves the problem for me.

comment:113 Changed 2 years ago by rlack

FYI..Tried the latest test build 5.0.3-102449 with Windows 10 and I still have the Host-Only Adapter problem.

comment:114 Changed 2 years ago by giusi

latest r102467 restablish the situation of r102375 netadapter realtek now visible and choosable but if selected bridge network vm fails to start as per my last pic attached here https://www.virtualbox.org/ticket/14428#comment:22

so even with some steps in the right direction the issue is still there..

comment:115 follow-up: ↓ 116 Changed 2 years ago by frank

giusi, please describe in detail how your VM fails to start. The last picture you attached to ticket #14428 shows the properties of the VBoxNetAdp6.sys / VBoxNetLwf.sys but not how your VM fails to start. Please attach a picture to this ticket and also a corresponding VBox.log file (when using the latest 5.0.x test build). Thank you!

Changed 2 years ago by giusi

VM fails to start

Changed 2 years ago by giusi

VBox.log

comment:116 in reply to: ↑ 115 Changed 2 years ago by giusi

Replying to frank:

giusi, please describe in detail how your VM fails to start. The last picture you attached to ticket #14428 shows the properties of the VBoxNetAdp6.sys / VBoxNetLwf.sys but not how your VM fails to start. Please attach a picture to this ticket and also a corresponding VBox.log file (when using the latest 5.0.x test build). Thank you!

here they are! now i'm anxiously waiting for yr kind response and helping! thxs indeed again for yr patience!

cheers!

comment:117 Changed 2 years ago by giusi

..any ideas...? have you look the my new last attachments..?

comment:118 follow-up: ↓ 119 Changed 2 years ago by giusi

..why you are so speed in asking ever and ever more and more screenshoots and logs and when you finally got them you disappear..?? it is a bit unpolite..isn't it..??

cheers

comment:119 in reply to: ↑ 118 ; follow-up: ↓ 120 Changed 2 years ago by frank

Replying to giusi:

..why you are so speed in asking ever and ever more and more screenshoots and logs and when you finally got them you disappear..?? it is a bit unpolite..isn't it..??

Our support works on a best-effort base. Read again here!

comment:120 in reply to: ↑ 119 Changed 2 years ago by frank

Replying to frank:

Replying to giusi:

..why you are so speed in asking ever and ever more and more screenshoots and logs and when you finally got them you disappear..?? it is a bit unpolite..isn't it..??

Our support works on a best-effort base. Read again here!

And regarding your problem: Your recent log file show that still the wrong driver is loaded. To say more we need additional information. Please provide the output of the following commands:

VBoxManage list bridgedifs
VBoxManage list hostonlyifs
sc query vboxnetlwf
sc query vboxnetadp
ipconfig /all

comment:121 Changed 2 years ago by giusi

Pls see The last picture attached to ticket #14428 shows the properties of the VBoxNetAdp6.sys / VBoxNetLwf.sys

i think i had given you so much logs and pictures.. missing only my blood analysis... :) cheers!!

comment:122 follow-up: ↓ 123 Changed 2 years ago by frank

Sorry, as long as you don't provide the information we are asking for we cannot help you. We didn't ask for these pictures but for the output of the commands above (comment:120), see also comment:24:ticket:14428.

Last edited 2 years ago by frank (previous) (diff)

comment:123 in reply to: ↑ 122 Changed 2 years ago by giusi

Replying to frank:

Sorry, as long as you don't provide the information we are asking for we cannot help you. We didn't ask for these pictures but for the output of the commands above (comment:120), see also comment:24:ticket:14428.

https://www.virtualbox.org/ticket/14428#comment:25

pls consider that i'm -also- helping you with these so many tests in order to solve a frustrating issue i think maingly for Oracle VBox am i wrong..??!!

cheers!!

:)

Last edited 2 years ago by giusi (previous) (diff)

comment:125 Changed 2 years ago by giusi

latest r102588 doesn't solve network bridge bidirectional drag n drop

comment:126 Changed 2 years ago by giusi

not solved with r102676

comment:127 Changed 2 years ago by giusi

 https://forums.virtualbox.org/viewtopic.php?f=6&t=68590&p=336023#p336023 The 5.0.51 102781 build fixed it for me

give us the link to download! cheers!

comment:128 Changed 2 years ago by giusi

no step ahead with latest 102947..

comment:129 Changed 2 years ago by giusi

same issue r 5.06

comment:130 Changed 2 years ago by giusi

same issue latest r5.07... Apertura di una sessione per la Macchina Virtuale windows xp sp3 pro 2005 non riuscita.

Failed to open/create the internal network 'HostInterfaceNetworking-Realtek PCIe GBE Family Controller' (VERR_SUPDRV_COMPONENT_NOT_FOUND).

Codice 'uscita: E_FAIL (0x80004005) Componente: ConsoleWrap Interfaccia: IConsole {872da645-4a9b-1727-bee2-5585105b9eed}

comment:131 Changed 22 months ago by aleksey

  • Summary changed from VirtualBox can't find host-only adapters on Windows 10 host to VirtualBox can't find host-only adapters on Windows 10 host => Fixed in SVN

comment:132 Changed 22 months ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Fix is part of VBox 5.0.12.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use